﻿using ComPDFKit.PDFDocument;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Compdfkit_Tools.PDFControl
{
    /// <summary>
    /// Interaction logic for PageRangeDialog.xaml
    /// </summary>
    public partial class PageRangeDialog : Window
    {
        private List<int> _pageIndexList = new List<int>();
        public List<int> PageIndexList
        {
            get => _pageIndexList;
            set
            {
                _pageIndexList = value;
                PreviewControl.PageRangeList = _pageIndexList;
            }
        }

        private FileInfoWithRange fileInfo;

        public PageRangeDialog()
        {
            this.DataContext = this;
            InitializeComponent();
        }

        public void InitWithFileInfo(FileInfoWithRange fileInfo)
        {
            this.fileInfo = fileInfo;
        }

        private void ConfirmBtn_Click(object sender, RoutedEventArgs e)
        {

        }

        private void CancelBtn_Click(object sender, RoutedEventArgs e)
        {

        }
         
        private void Window_Loaded(object sender, RoutedEventArgs e)
        { 
            PreviewControl.InitPreview(fileInfo.Document, fileInfo.PageRangeList);
        }
    }
}
